
import java.io.*;


public class Thread00  {

   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause

  private void test1() {

    MyThread t1 = new MyThread(1);
    MyThread t2 = new MyThread(2);
    MyThread t3 = new MyThread(3);
    t1.start();
    t2.start();
    t3.start();

  } // create



  public static void main(String[] args) {
    Thread00 frame = new Thread00();
    frame.test1();
    pause();
  }


}



class MyThread extends Thread {

	private int id;
   public MyThread(int id) {
      this.id=id;
	}

  public void run() {
      for (int i=0; i<100; i++) {      
		System.out.println("id: "+id+"  i:"+i);
      }
   }
}




/*

    try {
      Thread.sleep(50);
    } catch (InterruptedException e) {
    }


*/
